com.google.protobuf

## Class TextFormat.Parser.Builder

- java.lang.Object
- - com.google.protobuf.TextFormat.Parser.Builder

- Enclosing class:
    TextFormat.Parser

      public static class TextFormat.Parser.Builder
      extends java.lang.Object

  Builder that can be used to obtain new instances of `Parser`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextFormat.Parser.Builder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TextFormat.Parser` | `build()`
    `TextFormat.Parser.Builder` | `setParseInfoTreeBuilder(TextFormatParseInfoTree.Builder parseInfoTreeBuilder)`
    `TextFormat.Parser.Builder` | `setSingularOverwritePolicy(TextFormat.Parser.SingularOverwritePolicy p)` Sets parser behavior when a non-repeated field appears more than once.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextFormat.Parser.Builder

          public TextFormat.Parser.Builder()

  - ### Method Detail

    - #### setSingularOverwritePolicy

          public TextFormat.Parser.Builder setSingularOverwritePolicy(TextFormat.Parser.SingularOverwritePolicy p)

      Sets parser behavior when a non-repeated field appears more than once.

    - #### setParseInfoTreeBuilder

          public TextFormat.Parser.Builder setParseInfoTreeBuilder(TextFormatParseInfoTree.Builder parseInfoTreeBuilder)

    - #### build

          public TextFormat.Parser build()